# We're not building any debug subpackages (at least for now?)
%global  debug_package  %{nil}

Name:     lector
Summary:  ebook reader and collection manager
URL:      https://github.com/BasioMeusPuga/Lector
License:  GPLv3
Version:  0.5.1
Release:  1%{?dist}
# BuildArch:  noarch

Source0: https://github.com/BasioMeusPuga/Lector/archive/%{version}/%{name}-%{version}.tar.gz

# TODO: Will this package run on CentOS?
# CentOS 7 build environment may not have incorporated some of Fedora's automated defaults and assumptions.
%if 0%{?rhel}  &&  0%{?rhel} <= 7
#BuildRequires: ## TODO
%endif

BuildRequires:  python3-devel >= 3.6
BuildRequires:  python3-setuptools
BuildRequires:  python3-beautifulsoup4 >= 4.6.0
BuildRequires:  python3-qt5 >= 5.10
BuildRequires:  python3-poppler-qt5 >= 0.24.2
# TODO: This next line was taken from the spec currently on Copr, but I actually don't see any "requests" package listed in the Lector dependencies, much less a requests version...
#BuildRequires:  python3-requests

Requires:  python3-beautifulsoup4 >= 4.6.0
Requires:  python3-qt5 >= 5.10
Requires:  python3-poppler-qt5 >= 0.24.2
#Requires:  python3-requests

# CentOS 7 build environment doesn't support Recommends tag.
%if 0%{?fedora}
# Recommends: ## TODO
%endif

%description
Lector is an ebook reader and collection manager. It offers a fullscreen
distraction-free view, document highlighting and annotations, a built-in
dictionary, bookmarks, and multiple profiles for changing the way the
books are presented. Lector can also edit metadata, so you can correct
information about the books, and add keywords to make them easier to
find.

It supports the following file formats:

* PDF
* EPUB
* DjVu
* FictionBook (.fb2)
* Mobipocket (.mobi)
* Amazon Kindle (.azw, .azw3, .azw4)
* Comic book archives (.cbr, .cbz)
* Markdown




%prep
%autosetup -n Lector-%{version}


%build
%py3_build
mv  ./lector/rarfile/LICENSE  ./LICENSE-rarfile


%install
%py3_install

#%%find_lang Lector



#%%files -f Lector.lang
%files
%doc      AUTHORS  README.md
%license  LICENSE  LICENSE-rarfile
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*
%{python3_sitelib}/%{name}*



%changelog
* Sun May 26 2019 Andrew Toskin <andrew@tosk.in> - 0.5.1-1
- First working build.
