%define sname	ip4r

Summary:	IPv4 and IPv4 range index types for PostgreSQL
Name:		postgresql-%{sname}
Version:	2.4.1
Release:	1%{?dist}
License:	BSD
Source0:	https://github.com/RhodiumToad/%{sname}/archive/%{version}.tar.gz
URL:		https://github.com/RhodiumToad/ip4r
BuildRequires:	postgresql-devel
Requires:	postgresql-server
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ip4, ip4r, ip6, ip6r, ipaddress and iprange are types that contain a single
IPv4/IPv6 address and a range of IPv4/IPv6 addresses respectively. They can
be used as a more flexible, indexable version of the cidr type.

%prep
%setup -q -n %{sname}-%{version}

%build
%{__make} USE_PGXS=1 %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} USE_PGXS=1 %{?_smp_mflags} install DESTDIR=%{buildroot}

%{__rm} -f %{buildroot}%{pginstdir}/include/server/extension/ip4r/ipr.h


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{pginstdir}/doc/extension/README.ip4r
%{_libdir}/pgsql/%{sname}.so

%changelog
* Wed Aug 28 2019 - Devrim Gündüz <devrim@gunduz.org> 2.4.1-1
- Initial packaging for RHEL 8
