%global _hardened_build 1

Name:           reportd
Version:        0.7.3
Release:        1%{?dist}
Summary:        Service reporting org.freedesktop.Problems2 entries

License:        GPLv2+
URL:            https://github.com/abrt/%{name}
Source0:        https://github.com/abrt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libreport) >= 2.11.0
BuildRequires:  meson
BuildRequires:  systemd

%if 0%{?centos}
Recommends:     libreport-centos
%endif

%if 0%{?fedora}
Recommends:     libreport-fedora
%endif

%description
A D-Bus service that exports libreport functionality.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%doc NEWS README
%license COPYING
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.freedesktop.%{name}.service
%{_datadir}/dbus-1/system-services/org.freedesktop.%{name}.service
%{_datadir}/dbus-1/system.d/org.freedesktop.%{name}.conf
%{_unitdir}/%{name}.service
%{_userunitdir}/%{name}.service


%changelog
* Sun Nov 10 2019 Ernestas Kulik <ekulik@redhat.com> - 0.7.3-1
- new upstream release: 0.7.3

* Thu Dec 20 2018 Ernestas Kulik <ekulik@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Thu Dec 20 2018 Ernestas Kulik <ekulik@redhat.com> - 0.2-2
- Fix Source0 URL yet again

* Tue Dec 18 2018 Ernestas Kulik <ekulik@redhat.com> - 0.2-1
- Drop patches, fixes are upstream
- Fix summary formatting

* Mon Dec 17 2018 Ernestas Kulik <ekulik@redhat.com> - 0.1-3
- Fix Source0 URL
- Use more modern macros
- Fix autoreconf invocation to install files

* Thu May 19 2016 Jakub Filak <jfilak@redhat.com> - 0.1-2
- Add all BuildRequires
- Verbose command line argument
- Cache moved to /var/run/user/reportd

* Thu Apr 14 2016 Jakub Filak <jfilak@redhat.com> - 0.1-1
- Initial packaging
